Skip to main content

Create a new policy

POST 

/v1/policies

Request

Body

required
    oneOf
    product_id stringrequired

    Product ID of the policy to be created

    chassis_number stringrequired

    Chassis number of the vehicle

    manufacturer stringrequired

    Manufacturer of the vehicle

    model stringrequired

    Model of the vehicle

    year stringrequired

    Year of manufacture of the vehicle

    vehicle_regno stringrequired

    Registration number of the vehicle

    engine_no stringrequired

    Engine number of the vehicle

    color stringrequired

    Color of the vehicle

    vehicle_type stringrequired

    Possible values: [Van, Cargo/Truck, Pick Up, SUV/Crossover, Saloon Car, Bus, Minivan, Trailer]

    Type of the vehicle

    email stringrequired

    Email of the user

    name stringrequired

    Name of the user

    phone stringrequired

    Phone number of the user

    gender stringrequired

    Possible values: [male, female]

    gender of the user

    address stringrequired

    Address of the user

    license_number stringrequired

    License number of the user

    license_expiry daterequired

    License expiry date of the user

Responses

OK

Schema
    id integer

    ID of the policy

    full_name string

    Full name of the user

    start_date string

    Start date of the policy

    policy_type string

    Possible values: [third_party, comprehensive]

    Type of the policy

    purchase_date string

    Date of purchase of the policy

    end_date string

    End date of the policy

    status string

    Status of the policy

    product string

    Name of the product

    premium string

    Premium of the policy

    policy_document string

    URL of the policy document

    policy_number string

    Number of the policy

Loading...